const { Log } = require('./Log')


/**
 * # Convert
 * 
 * ```
 * const { Convert } = require('./modules/nnarduino');
 * 
 * ```
 * 
 */
Convert = {
	
	/**
	 * Convert a byte to hex-string
	 * ```
	 * let hexStr = Convert.toHex(255);
	 * ```
	 * @param {integer} val
	 * @return {string}
	 */
 	toHex( val ) {
		return (val*1).toString(16).toUpperCase().padStart(2, '0')
	},

	/**
	 * Convert bytes to an array of hex-strings
	 * ```
	 * let hexStr = Convert.toHexArray( [255, 128, 127] );
	 * ```
	 * @param {buffer|array} data
	 * @return {string}
	 */
	toHexArray( data ) 
	{
		let result = [];
		let arrByte = Uint8Array.from(data)
		arrByte.forEach((n) => result.push( Convert.toHex(n)) );
		return result;
	}
}

exports.Convert = Convert;
