const { Log } = require('./Log')


/**
 * # Uniqid
 * 
 * Creates an unique ID
 * 
 * ```
 * const { Uniq } = require('./modules/nnarduino');
 * let id = Uniq.id
 * ```
 * 
 */
class Uniq {
	
	idCounter = 0;

	/**
	 * Get an unique ID for the message or command
	 * 
	 * @returns {int}
	 */
	get id() {
		this.idCounter++;
		return this.idCounter;
	}

}

const UniqidInstance = new Uniq();
exports.Uniq = UniqidInstance;
