import AbstractSensor from './AbstractSensor';

/**
 * # Button
 * 
 */
export default class Button extends AbstractSensor 
{
	static type = 10;
	static name = 'SENSOR_BUTTON';

	pressed( callback ) 
	{
		this.addEventListener( 'pressed', callback );
	}
	
	released( callback ) 
	{
		this.addEventListener( 'released', callback );
	}

	onChange( event, pinData ) 
	{
		super.onChange( event, pinData );

		let val = this.value();
		if (val && !this.isPressed) {
			this.emitEvent( 'pressed' );
		}
		if (!val && this.isPressed) {
			this.emitEvent( 'released' );
		}
		this.isPressed = val;
	}
}
