import AbstractSensor from './AbstractSensor';

/**
 * # Potentiometer
 */
export default class Potentiometer extends AbstractSensor 
{
	static type = 20;
	static name = 'SENSOR_POTENTIOMETER';

    init( pin, minVal = 0, maxVal = 1024 ) 
    {
        super.init( pin );
        this.minVal = minVal;
        this.maxVal = maxVal;
    }

    value() {
        return this.minVal + this.pinData.val/1024 * (this.maxVal - this.minVal);
    }
}